Commit 8bf4db08 authored by Joseph Pallamidessi's avatar Joseph Pallamidessi

Update installation guide and add requirement

parent d18caea5
......@@ -2,6 +2,10 @@
###Requirement
This project required you to have flex and bison installed:
```
$ sudo apt-get install flex bison
```
In order to have a working grapher, java jre 1.6 is required. Without it, an error appears at the start of easea's compiled programs but can be safely ignored.
EASEA had been compiled and tested with those following compilers:
......
......@@ -18,12 +18,25 @@ Features
- Parallelization over GPGPU cards leading to massive speedup (x100 to x1000).
- C++ description language.
Github mirror
Requirements
--------------
This project required you to have flex and bison installed:
```
$ sudo apt-get install flex bison
```
Installation
-------------
Please refer to INSTALL.txt or the wiki : https://github.com/EASEA/easea/wiki/Building-and-installation
Note that the CMake way is prefered and that the GNU/Makefile one is there for
legacy OSes and distribution lacking CMake in there repositories.
Sourceforge mirror
--------------
To mirror this repositories on the github one, please add to .git/config:
[remote "github"]
url = git@github.com:EASEA/easea.git
[remote "sourceforge"]
url = ssh://USERNAME@git.code.sf.net/p/easea/code easea-code
mirror = true
Add after pushing, do "git push github" manually or add a hook.
Add after pushing, do "git push sourceforge" manually or add a hook.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment